Executions

Get all executions

This API will give you all executions of that workspace which will be provided in header.

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
startnumberOptional

The page No

Example: 0
limitnumber · min: 1 · max: 50Optional

The Page Size

Example: 10
workflowIdstringOptional
Header parameters
X-TexAu-ContextstringRequired

Pass orgUserId and workspaceId as ‘{"orgUserId":"123","workspaceId":"123"}’

Responses
chevron-right
200

All execution fetched successfully

application/json
successbooleanRequired
messagestringRequiredExample: All execution fetched successfully
totalnumberRequired
get
/api/v1/public/executions

Get Execution By ID

This API will give you status and executionTime of the specific execution.

circle-info

Get executionId from the response of the above API.

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
executionIdstringRequired

The executionId

Example: 5e9f8f8f8f8f8f8f8f8f8f8
Header parameters
X-TexAu-ContextstringRequired

Pass orgUserId and workspaceId as ‘{"orgUserId":"123","workspaceId":"123"}’

Responses
chevron-right
200

Execution fetched successfully

application/json
successbooleanRequired
messagestringRequiredExample: Execution fetched successfully
get
/api/v1/public/executions/{executionId}

Last updated